NorthernWind

Can't compile with JDK 1.7.0